Package ru.bitel.bgbilling.modules.softline.common

# Class SoftLineUtils

java.lang.Object
ru.bitel.bgbilling.modules.softline.common.SoftLineUtils

public class SoftLineUtils extends Object
Общие действия модуля при работе с подписками SoftLine

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SoftLineUtils()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static void`
  `addContractAccount(Connection con, int moduleId, SoftLineSubscription subscription, Date date)`
  Устанавливает наработку на договор
  `static boolean`
  `checkActivation(Connection con, SoftLineSubscription subscription, SoftLineProduct product)`
  Проверяет возможность активации подписки.
  `static boolean`
  `checkTodayDate(Date date)`
  Проверка, что текущая дата является текущей
  `static void`
  `prolongationDateEndSubscription(SoftLineSubscription subscription, SoftLineProduct product)`
  Устанавливает дату окончания периода вперёд на 1 период.
  `static void`
  `setEndDate(SoftLineSubscription subscription, SoftLineProduct product)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### SoftLineUtils

    public SoftLineUtils()

- ## Method Details

  - ### checkActivation

    public static boolean checkActivation(Connection con, SoftLineSubscription subscription, SoftLineProduct product) throws ru.bitel.bgbilling.common.BGException
    Проверяет возможность активации подписки.
    Returns:
      true - активация возможна, false - запрещена
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### addContractAccount

    public static void addContractAccount(Connection con, int moduleId, SoftLineSubscription subscription, Date date) throws Exception
    Устанавливает наработку на договор
    Throws:
      `Exception`

  - ### checkTodayDate

    public static boolean checkTodayDate(Date date)
    Проверка, что текущая дата является текущей
    Parameters:
      `date` - - проверяемая дата
    Returns:
      true - проверяемая дата совпадает с текущей, false - не совпадает

  - ### prolongationDateEndSubscription

    public static void prolongationDateEndSubscription(SoftLineSubscription subscription, SoftLineProduct product)
    Устанавливает дату окончания периода вперёд на 1 период. В случае с дневными подписками устанавливается на указанное в подписке кол-во дней

  - ### setEndDate

    public static void setEndDate(SoftLineSubscription subscription, SoftLineProduct product)